## ros-kinetic-tf-tools 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf_tools)

find_package(catkin REQUIRED COMPONENTS tf nav_msgs)

catkin_package()

#catkin_python_setup()

include_directories(${catkin_INCLUDE_DIRS})

add_executable(tf_logger src/tf_logger.cpp)
add_executable(tf_filter src/tf_filter.cpp)
add_executable(apply_tf_to_odom_msg src/apply_tf_to_odom_msg.cpp)

target_link_libraries(tf_logger ${catkin_LIBRARIES})
target_link_libraries(tf_filter ${catkin_LIBRARIES})
target_link_libraries(apply_tf_to_odom_msg ${catkin_LIBRARIES})

=== debian/changelog ===
ros-kinetic-tf-tools (0.0.3-0xenial) xenial; urgency=high

  * Fix release
  * Minnor changes
  * Add new tf tool
  * Contributors: Miquel Massot, plnegre

 -- Miquel Massot <miquel.massot@uib.es>  Thu, 23 Feb 2017 23:00:00 -0000

ros-kinetic-tf-tools (0.0.2-0xenial) xenial; urgency=high

  * Minnor changes
  * Add new tf tool
  * Contributors: plnegre
  * tf_filter added
  * hydro catkinization changes
  * added python setup files and wet'ed plot tools
  * wet repo
  * minor output tweak
  * changed manifests
  * added BSD license
  * better tf logger, more options
  * changed README, again
  * changed README to markup language
  * changed README to markup language
  * added README and cleaned up tf_logger
  * Added tf_logger
  * new package for tf related tools
  * Contributors: Miquel Massot, Stephan Wirth, plnegre

 -- Miquel Massot <miquel.massot@uib.es>  Wed, 22 Feb 2017 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-tf-tools
Section: misc
Priority: extra
Maintainer: Miquel Massot <miquel.massot@uib.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-nav-msgs, ros-kinetic-tf
Homepage: http://ros.org/wiki/tf_tools
Standards-Version: 3.9.2

Package: ros-kinetic-tf-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-nav-msgs, ros-kinetic-tf
Description: ROS tools and scripts relates to tf

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-tf-tools//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
